.drop{
    display: inline-block;
    margin-right: 12px;
    position: relative;
    z-index: 100;
    &__menu{
        display: none;
        z-index: 100;
        color: #fff;
        border-radius: 4px;
        &__search{
            border: none;
            grid-area: 1 / 1 / 2 / 2;
            color: #fff;
            padding: 0 20px 15px 0;
        }
        &__tags{
            grid-area: 2 / 1 / 3 / 2;
            display: grid;
            grid-template: auto / repeat(3, auto);
        }
    }
    &--blue{
        background-color: #3282F7;
        .drop__menu{
            background-color: #3282F7;
            &__search{
                background-color: #3282F7;
            }
        }
        &:hover{
            background-color: darken(#3282F7, 5%);
            .drop__menu, .drop__menu__search{
                background-color: darken(#3282F7, 5%);
            }
        }
    }
    &--green{
        background-color: #68D9A4;
        .drop__menu{
            background-color: #68D9A4;
            &__search{
                background-color: #68D9A4;
            }
        }
        &:hover{
            background-color: darken(#68D9A4, 5%);
            .drop__menu, .drop__menu__search{
                background-color: darken(#68D9A4, 5%);
            }
        }
    }
    &--red{
        background-color: #ED6454;
        .drop__menu{
            background-color: #ED6454;
            &__search{
                background-color: #ED6454;
            }
        }
        &:hover{
            background-color: darken(#ED6454, 5%);
            .drop__menu, .drop__menu__search{
                background-color: darken(#ED6454, 5%);
            }
        }
    }
    &__btn{
        cursor: pointer;
        border: none;
        border-radius: 4px;
        padding: 8px 12px;
        color: #fff;
        font-size: 1.1rem;
        &__icon{
            font-size: 1rem;
            &--up{
                font-size: 1rem;
                position: absolute;
                top: 10px;
                right: 10px;
                border-radius: 50%;
                padding: 4px 5px;
            }
        }
    }
}

.btn{
    color: white;
    &--blue{
        background-color: #3282F7;
        &:hover{
            background-color: darken(#3282F7, 5%);
        }
    }
    &--green{
        background-color: #68D9A4;
        &:hover{
            background-color: darken(#68D9A4, 5%);
        }
    }
    &--red{
        background-color: #ED6454;
        &:hover{
            background-color: darken(#ED6454, 5%);
        }
    }
}

.drop-show{
    display: grid;
    grid-template: repeat(2, auto) / auto;
}
.drop-hide{
    display: none;
}


.hide-tag{
    display: none;
}
.show-tag{
    display: block;
}

.ingredient-tag{
    &:hover{
        background-color: lighten(#3282F7, 5%);
    }
}
.appliance-tag{
    &:hover{
        background-color: lighten(#68D9A4, 5%);
    }
}
.utensil-tag{
    &:hover{
        background-color: lighten(#ED6454, 5%);
    }
}

.close-icon{
    margin-left: 8px;
}